# FatSecret OmniAuth Gem v0.0.2

First things first - This is NOT an [OmniAuth] Strategy. This is not meant to be used as a Login 
method for web apps. This gem leverages OmniAuth's OAuth Strategy to obtain __auth tokens__ and 
__auth secrets__ for use with the [FatSecret REST API].  

[OmniAuth]: https://github.com/intridea/omniauth "OmniAuth"   
[FatSecret REST API]: http://platform.fatsecret.com/api/Default.aspx?screen=rapih "FatSecret REST API"
 ___
## Installing

Add the strategy to your `Gemfile`:
```
gem 'fatsecret-omniauth'
```
Then run `bundle install`

 ___
## Authentication
This works like any other OmniAuth strategy.
Add the following to `config/initializers/omniauth.rb`:

```ruby
Rails.application.config.middleware.use OmniAuth::Builder do
  provider :fatsecret, 'consumer_key', 'consumer_secret'
end
```

Add your callback route in  `config/routes.rb`:  
```
get '/auth/fatsecret/callback', to: 'YOUR_CREATE_METHOD'
```  
__NOTE:__ *OmniAuth strategies use `get '/auth/:provider/callback', to: 'sessions#create'`.
The FatSecret OmniAuth gem requires a custom controller/create method to save the
auth tokens in a database for future API calls.*

To authenticate wuth FatSsecret
* load `/auth/fatsecret`  
* You'll be redirected to FatSecret.com to authenticate
* If you agree to authenticate, you'll be redirected back `/auth/fatsecret/callback`
* The `request.env['omniauth.auth']` hash will contain your FatSecret data.  

    * __FatSecret profile data__ is contained in:  
    `request.env['omniauth.auth']['info']` -- see the [FatSecret profile.get page] for more details.
    
    * __FatSecret auth token and auth secret__ are contained in:  
    `request.env['omniauth.auth']['credentials']`

[FatSecret profile.get page]: http://platform.fatsecret.com/api/Default.aspx?screen=rapiref&method=profile.get "FatSecret profile.get page"  

---
Copyright (c) 2013 Scott McGrath. See [LICENSE] for details.

[LICENSE]: https://github.com/scrawlon/omniauth-fatsecret/blob/master/MIT-LICENSE "LICENSE"

